<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title>
    	 <?php
		    /*
		     * Print the <title> tag based on what is being viewed.
		     */
		    global $page, $paged;

		    wp_title( '|', true, 'right' );

		    // Add the blog name.
		    bloginfo( 'name' );

		    // Add the blog description for the home/front page.
		    $site_description = get_bloginfo( 'description', 'display' );
		    if ( $site_description && ( is_home() || is_front_page() ) )
		        echo " | $site_description";

		    // Add a page number if necessary:
		    if ( $paged >= 2 || $page >= 2 )
		        echo ' | ' . sprintf( __( 'Page %s', 'twentyeleven' ), max( $paged, $page ) );

		 ?>
    </title>

    <link href="<?=bloginfo('template_url')?>/css/bootstrap.min.css" rel="stylesheet">
    <link href="<?=bloginfo('template_url')?>/css/jquery.smartmenus.bootstrap.css" rel="stylesheet">
    <link href="<?=bloginfo('template_url')?>/css/font-awesome.min.css" rel="stylesheet">
    <link href="<?=bloginfo('template_url')?>/css/responsiveslides.css" rel="stylesheet">
    <link href="<?=bloginfo('template_url')?>/css/demo.css" rel="stylesheet">
    <link href="<?=bloginfo('template_url')?>/style.css" rel="stylesheet">
    <link href="<?=bloginfo('template_url')?>/css/responsive.css" rel="stylesheet">
    <?php wp_head(); ?>
  </head>
  <body>
   
    <div class="container-fluid">
    	<div class="row header_bg">
    		<header id="header" class="fix_width">
				<div class="col-md-9 logo">
					<a href="<?=site_url()?>"><img src="<?=bloginfo('template_url')?>/images/logo.png" alt="Bangla Language Institute"></a>
				</div>
				<div class="col-md-3 social_media">
					<div class="loginBox">
	                    <ul>
	                    	<li><a href="https://www.facebook.com/Bangla.Language.Institute" target="_blank"><i class="fa fa-facebook Fb"></i></a></li>
	                        <li><a href="https://twitter.com/Bli_Iub"><i class="fa fa-twitter Tw"></i></a></li>
	                        <!-- <li><a href="#"><i class="fa fa-google-plus Gp"></i></a></li> -->
	                        <li><a href="https://instagram.com/bli_iub/"><i class="fa fa-instagram Rss"></i></a></li>
	                        <li><a href="https://www.youtube.com/channel/UCTr0O3hTWzcAjEgt2HiAugw"><i class="fa fa-youtube-square you_tube"></i></a></li>
	                        <!--<li><a href=""><img src="<?=bloginfo('template_url')?>/images/4.png" alt=""></a></li>
	                        <li><a href=""><img src="<?=bloginfo('template_url')?>/images/5.png" alt=""></a></li>
	                        <li><a href=""><img src="<?=bloginfo('template_url')?>/images/3.png" alt=""></a></li>
	                        <li><a href=""><img src="<?=bloginfo('template_url')?>/images/2.png" alt=""></a></li>
	                        <li><a href=""><img src="<?=bloginfo('template_url')?>/images/1.png" alt=""></a></li>-->
	                    </ul>
                	</div>
					<div class="search">
            <form action="<?=site_url()?>/search/">
						<input name="q" type="text" class="form-control input-sm" maxlength="64" placeholder="Search" />
						<button type="submit" class="btn_1 btn-primary btn-sm" style="border-radius: 0px;">Search</button>
             </form>
					</div>
				</div>
			</header><!-- /header -->
		</div>
<div class="row nav_bg">
	<nav class="navbar navbar_custom fix_width" role="navigation">
	  <div class="container-fluid" >
	    <!-- Brand and toggle get grouped for better mobile display -->
	    <!-- <div class="navbar-header">
	      <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1">
	        <span class="sr-only">Toggle navigation</span>
	        <span class="icon-bar"></span>
	        <span class="icon-bar"></span>
	        <span class="icon-bar"></span>
	      </button>
	      <a class="navbar-brand" href="<?php echo home_url(); ?>">
	                <?php bloginfo('name'); ?>
	            </a>
	    </div> -->

	        <?php
	            /*wp_nav_menu( array(
	                'menu'              => 'top-menu',
	                'theme_location'    => 'top-menu',
	                'depth'             => 0,
	                'container'         => 'div',
	                'container_class'   => 'collapse navbar-collapse collapse navbar-collapse padding_zero',
	        	'container_id'      => 'bs-example-navbar-collapse-1',
	                'menu_class'        => 'nav navbar-nav nav_menu',
	                'fallback_cb'       => 'wp_bootstrap_navwalker::fallback',
	                'walker'            => new wp_bootstrap_navwalker())
	            );*/
	        ?>
<?php wp_nav_menu( array( 'theme_location' => 'top-menu' ) ); ?>
	</nav>
	</div>